Installing Spring for SPADS without admin rights (Linux)

Installing Spring for SPADS without admin rights (Linux)

SpringRTS Perl Autohost for Dedicated Server

Moderators: Moderators, Lobby Developers, SPADS AutoHost

Post Reply
Amalrik
Posts: 4
Joined: 04 Apr 2009, 11:37

Installing Spring for SPADS without admin rights (Linux)

Post by Amalrik » 04 Apr 2009, 11:46

Hi. I m trying to install spads on a debian 5.0 (lenny) server.
I ve got a user acces and I succesfully compiled spring project (0.78.2.1), but as I ve not the rightsd to preform the "make install", I just copy/pasted absolute path to libunitsync.so and spring-dedicated files.
However, whatever I choose stable/testing or even unstable version, spadsInstaller give an
"ERROR - [SpadsInstaller] Unable to initialize UnitSync library"

Do you have any idea of the problem ?

1/12 - Which SPADS release do you want to install (stable,testing,unstable) [testing] ? testing
INFO - [SpadsUpdater] Updating package "getDefaultModOptions.pl" to "getDefaultModOptions_0.2a.pl"
INFO - [SpadsUpdater] Updating package "help.dat" to "help_0.8.1.dat"
INFO - [SpadsUpdater] Updating package "PerlAutoHostInterface.pm" to "PerlAutoHostInterface_0.5a.pm"
INFO - [SpadsUpdater] Updating package "PerlLobbyInterface.pm" to "PerlLobbyInterface_0.8.pm"
INFO - [SpadsUpdater] Updating package "SimpleLog.pm" to "SimpleLog_0.3.pm"
INFO - [SpadsUpdater] Updating package "spads.pl" to "spads_0.7.2a.pl"
INFO - [SpadsUpdater] Updating package "SpadsConf.pm" to "SpadsConf_0.7.0.pm"
INFO - [SpadsUpdater] Updating package "spadsInstaller.pl" to "spadsInstaller_0.7a.pl"
INFO - [SpadsUpdater] Updating package "SpadsUpdater.pm" to "SpadsUpdater_0.3.pm"
INFO - [SpadsUpdater] Updating package "update.pl" to "update_0.2.pl"
NOTICE - [SpadsUpdater] 10 package(s) updated
NOTICE - [SpadsInstaller] Restarting installer after update...
NOTICE - [SpadsInstaller] Components are up to date, proceeding with installation...
2/12 - Please enter the absolute path of the unitsync library (libunitsync.so,unitsync.so) [] ? /home/old/servsodalis/spring/spring_0.78.2.1/tools/unitsync/libunitsync.so
NOTICE - [SpadsInstaller] Generating Perl Unitsync interface module
3/12 - Please enter the absolute path of the spring dedicated server (spring-dedicated) [] ? /home/old/servsodalis/spring/spring_0.78.2.1/tools/DedicatedServer/spring-dedicated
4/12 - Please enter the absolute path of the spring data directory (for maps, mods...) [] ? /home/old/servsodalis/spring
NOTICE - [SpadsInstaller] Checking Perl Unitsync interface module
ERROR - [SpadsInstaller] Unable to initialize UnitSync library
0 x

User avatar
bibim
Lobby Developer
Posts: 901
Joined: 06 Dec 2007, 11:12

Re: SPADS AutoHost beta release

Post by bibim » 04 Apr 2009, 12:47

Amalrik wrote:I ve got a user acces and I succesfully compiled spring project (0.78.2.1), but as I ve not the rightsd to preform the "make install", I just copy/pasted absolute path to libunitsync.so and spring-dedicated files.
If it's just a problem with access rights on system directories, you can add "-DCMAKE_INSTALL_PREFIX=/some/install/path" to your cmake command so that it will install into this directory.
Amalrik wrote:However, whatever I choose stable/testing or even unstable version, spadsInstaller give an
"ERROR - [SpadsInstaller] Unable to initialize UnitSync library"

Do you have any idea of the problem ?
It seems the unitsync library doesn't work, can you check your unitsync.log file for any error ?
0 x

Amalrik
Posts: 4
Joined: 04 Apr 2009, 11:37

Re: SPADS AutoHost beta release

Post by Amalrik » 05 Apr 2009, 02:38

You were right : I missed a proper installation with the "-DCMAKE_INSTALL_PREFIX=/some/install/path" option. Now everything s fine.
thx u
0 x

Post Reply

Return to “SPADS AutoHost”